Bug 492819 - xorg-x11-drv-nouveau does not work with GeForce 4 MX 440
xorg-x11-drv-nouveau does not work with GeForce 4 MX 440
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 00:43 EDT by Davide Repetto
Modified: 2009-07-20 20:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-20 20:17:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Logfiles for this bug (20.13 KB, application/octet-stream)
2009-03-30 00:45 EDT, Davide Repetto
no flags Details
screen corruption on shutdown/restart (501.40 KB, image/jpeg)
2009-05-07 13:38 EDT, Bruce Brackbill
no flags Details

  None (edit)
Description Davide Repetto 2009-03-30 00:43:38 EDT
Description of problem:
=======================

xorg-x11-drv-nouveau does not work with GeForce 4 MX 440

Version-Release number of selected component (if applicable):
=============================================================

xorg-x11-drv-nouveau: from QA/Test Days/2009-03-26 live CD

VGA CARD:
01:00.0 VGA compatible controller [0300]: nVidia Corporation NV18 [GeForce4 MX 440 AGP 8x] [10de:0181] (rev a2)

How reproducible:
=================
ALWAYS

Steps to Reproduce:
===================
Boot the live CD of QA/Test Days/2009-03-26
  
Actual results:
===============
See attached logfiles
Comment 1 Davide Repetto 2009-03-30 00:45:24 EDT
Created attachment 337190 [details]
Logfiles for this bug
Comment 2 Davide Repetto 2009-03-30 02:08:52 EDT
Smolt Profile:
http://www.smolts.org/client/show/pub_ec93e9bf-828a-4127-b353-3933bfd5ba55
Comment 3 Ben Skeggs 2009-04-03 00:24:39 EDT
How do you fare with xorg-x11-drv-nouveau-0.0.12-21.20090403git11be9a9.fc11?
Comment 4 Ben Skeggs 2009-04-09 01:27:34 EDT
This is more than likely fixed already, can you confirm that things improve after installing updates?
Comment 5 Adam Williamson 2009-04-17 14:49:48 EDT
He was running from a live CD. Davide, you can try with the Fedora 11 Beta (not sure the driver in that would be new enough) or snapshot release to give it a shot. Just running the Rawhide installer but not actually installing may also be enough of a test, I think, as it should try to run in graphical mode with nouveau.
Comment 6 Bruce Brackbill 2009-05-04 04:03:33 EDT
I have the same video card and X/nouveau is crashing on shutdown/restart.

Sometimes the screen just freezes ( mouse still moves) and other times i see " freeing fifo 0" or similar printed out to the screen.

Except for the damn shutdown/restart problem the driver appears to be working great.
Comment 7 Ben Skeggs 2009-05-04 04:12:54 EDT
(In reply to comment #6)
> I have the same video card and X/nouveau is crashing on shutdown/restart.
> 
> Sometimes the screen just freezes ( mouse still moves) and other times i see "
> freeing fifo 0" or similar printed out to the screen.
> 
> Except for the damn shutdown/restart problem the driver appears to be working
> great.  
This is a separate bug, can you file it as such and provide /var/log/Xorg.0.log etc?  Also, try and reproduce with the nv or vesa drivers!
Comment 8 Bruce Brackbill 2009-05-07 13:38:34 EDT
Created attachment 342894 [details]
screen corruption on shutdown/restart

I applied the updated initscripts-8.95-1 from koji and i am able to shutdown/restart now. See Bug: https://bugzilla.redhat.com/show_bug.cgi?id=495326

The shutdown/restart is still NOT so smooth ( fast BIOS beeps and screen corruption .. see attachment) but it does shutdown/restart now but not without a struggle. 

Note: The vertical line you see on the desktop moves horizontally across the screen upon shutdown/restart.
Comment 9 Adam Williamson 2009-05-07 14:51:20 EDT
Bruce: Ben asked you to file a separate bug. Please do. Discussing multiple different bugs in one report simply doesn't work and leads only to confusion.
Comment 10 Bug Zapper 2009-06-09 08:48:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Adam Williamson 2009-07-20 20:17:49 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.